Create Clone Input
curl --request POST \
--url https://api.dfns.io/key-stores/{storeId}/clone/input \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"kind": "Clone",
"hsmSourceSerial": "<string>",
"hsmTargetSerial": "<string>",
"macTargetSerial": "<string>"
}
'import requests
url = "https://api.dfns.io/key-stores/{storeId}/clone/input"
payload = {
"kind": "Clone",
"hsmSourceSerial": "<string>",
"hsmTargetSerial": "<string>",
"macTargetSerial": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
kind: 'Clone',
hsmSourceSerial: '<string>',
hsmTargetSerial: '<string>',
macTargetSerial: '<string>'
})
};
fetch('https://api.dfns.io/key-stores/{storeId}/clone/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Create Clone Input
Creates the input archive for a clone fleet operation, which replicates a key store from a source HSM to a target HSM.
POST
/
key-stores
/
{storeId}
/
clone
/
input
Create Clone Input
Authentication
✅ Organization User (CustomerEmployee)❌ Delegated User (
EndUser)✅ Service Account
Required Permissions
KeyStores:Fleets:Clone: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Path Parameters
Minimum string length:
1Body
application/json
Response
200 - application/zip
Success
Zip archive containing input/input.json, the clone fleet-input document.
Last modified on July 21, 2026
Was this page helpful?
⌘I